Bug 104049 - [chromium] Remove hardcoded chromium_*.jar in gyp files
Summary: [chromium] Remove hardcoded chromium_*.jar in gyp files
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-04 15:15 PST by Chris Hopman
Modified: 2013-01-16 10:39 PST (History)
7 users (show)

See Also:


Attachments
Patch (8.09 KB, patch)
2012-12-04 15:21 PST, Chris Hopman
no flags Details | Formatted Diff | Diff
Patch (8.09 KB, patch)
2013-01-15 16:34 PST, Chris Hopman
no flags Details | Formatted Diff | Diff
Patch (8.12 KB, patch)
2013-01-16 08:37 PST, Chris Hopman
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hopman 2012-12-04 15:15:59 PST
Remove hardcoded chromium_*.jar in gyp files
Comment 1 Chris Hopman 2012-12-04 15:21:21 PST
Created attachment 177583 [details]
Patch
Comment 2 Peter Beverloo (cr-android ews) 2012-12-04 18:21:25 PST
Comment on attachment 177583 [details]
Patch

Attachment 177583 [details] did not pass cr-android-ews (chromium-android):
Output: http://queues.webkit.org/results/15132697
Comment 3 Peter Beverloo 2012-12-12 05:54:18 PST
Hi Chris, any idea about the errors?
Comment 4 Chris Hopman 2012-12-12 10:54:58 PST
(In reply to comment #3)
> Hi Chris, any idea about the errors?
Ah, there was a Chromium change that this required that (I think) wasn't rolled into WebKit until the 5th.
Comment 5 Chris Hopman 2013-01-15 16:34:50 PST
Created attachment 182871 [details]
Patch
Comment 6 Chris Hopman 2013-01-15 16:41:26 PST
Comment on attachment 182871 [details]
Patch

New patch is rebased (though I don't know that anything changed).

This change also fixes TestWebKitAPI for Android (as a nice side effect), which has been failing for weeks downstream (but appears to not be running on WebKit buildbots).
Comment 7 Peter Beverloo 2013-01-16 08:33:32 PST
Comment on attachment 182871 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=182871&action=review

Running of the tests has a CL up downstream. Thanks, Chris, I verified that this works, and the change looks good to me with a few minor nits.

> Source/WebKit/chromium/ChangeLog:1
> +2013-01-15  Chris Hopman  <cjhopman@google.com>

Should this be your @chromium.org account?

> Source/WebKit/chromium/ChangeLog:3
> +        Remove hardcoded chromium_*.jar in gyp files

Please update the title to have the [chromium] prefixes, as Darin added.
Comment 8 Chris Hopman 2013-01-16 08:37:09 PST
Created attachment 182991 [details]
Patch
Comment 9 Eric Seidel (no email) 2013-01-16 10:35:21 PST
Comment on attachment 182991 [details]
Patch

rs=me.
Comment 10 WebKit Review Bot 2013-01-16 10:39:13 PST
Comment on attachment 182991 [details]
Patch

Clearing flags on attachment: 182991

Committed r139895: <http://trac.webkit.org/changeset/139895>
Comment 11 WebKit Review Bot 2013-01-16 10:39:17 PST
All reviewed patches have been landed.  Closing bug.